Page MenuHomePhabricator

[SUPPORT] Deploy failed at Docker Desktop on Windows 10 Pro (wikibase_wikibase_1)
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

docker-compose up

Actual Results:

wikibase_1         | wait-for-it.sh: waiting 300 seconds for mysql.svc:3306
wikibase_1         | wait-for-it.sh: mysql.svc:3306 is available after 0 seconds
wikibase_1         | wait-for-it.sh: waiting 300 seconds for elasticsearch.svc:9200
wikibase_1         | wait-for-it.sh: elasticsearch.svc:9200 is available after 0 seconds
wikibase_1         | PHP 7.2.25 is installed.
wikibase_1         | Found ImageMagick: /usr/bin/convert. Image thumbnailing will be enabled if you enable uploads.
wikibase_1         | Found the Git version control software: /usr/bin/git.
wikibase_1         | Warning: No --scriptpath specified, using default: /wiki.
wikibase_1         | Using server URL "/wiki".
wikibase_1         | Warning: Your default directory for uploads (/var/www/html/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
wikibase_1         | Using the PHP intl extension for Unicode normalization.
wikibase_1         | The environment has been checked. You can install MediaWiki.
wikibase_1         | Setting up database
wikibase_1         | Cannot access the database: :real_connect(): (HY000/2006): MySQL server has gone away. Check the host, username and password and try again. If using "localhost" as the database host, try using "127.0.0.1" instead (or vice versa).
wikibase_1         |
wikibase_wikibase_1 exited with code 1

Expected Results:

Event Timeline

Yayamamo created this task.Dec 19 2019, 5:30 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptDec 19 2019, 5:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore added a subscriber: Addshore.

Hi there

Was mysql actually running?
Did it crash?
I there anything in the mysql logs?
Have you had any success since coming across this issue?

Addshore renamed this task from Deploy failed at Docker Desktop on Windows 10 Pro (wikibase_wikibase_1) to [SUPPORT] Deploy failed at Docker Desktop on Windows 10 Pro (wikibase_wikibase_1).Jan 14 2020, 8:39 AM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 14 2020, 8:40 AM
Addshore triaged this task as Low priority.Jan 14 2020, 9:53 AM
Yayamamo added a comment.EditedJan 15 2020, 6:40 AM

Hi, things haven't changed yet.

The process wikibase_1 continues restarting again and again.

> docker ps -a
CONTAINER ID        IMAGE                                 COMMAND                   CREATED             STATUS                          PORTS                  NAMES
13055ef4c662        wikibase/quickstatements:latest       "/bin/bash /entrypoi…"    2 minutes ago       Up 2 minutes                    0.0.0.0:9191->80/tcp   wikibase_quickstatements_1
a7457a3fb36f        wikibase/wdqs:0.3.10                  "/entrypoint.sh /run…"    2 minutes ago       Up 2 minutes                                           wikibase_wdqs-updater_1
30c6c1a767a0        wikibase/wdqs-frontend:latest         "/entrypoint.sh ngin…"    2 minutes ago       Up 2 minutes                    0.0.0.0:8282->80/tcp   wikibase_wdqs-frontend_1
de128aa785e2        wikibase/wikibase:1.33-bundle         "/bin/bash /entrypoi…"    2 minutes ago       Restarting (1) 47 seconds ago                          wikibase_wikibase_1
c8e5d0382bc5        wikibase/wdqs-proxy                   "/bin/sh -c \"/entryp…"   2 minutes ago       Up 2 minutes                    0.0.0.0:8989->80/tcp   wikibase_wdqs-proxy_1
d6b12f725519        mariadb:10.3                          "docker-entrypoint.s…"    2 minutes ago       Up 2 minutes                    3306/tcp               wikibase_mysql_1
8779109f9d3f        wikibase/wdqs:0.3.10                  "/entrypoint.sh /run…"    2 minutes ago       Up 2 minutes                    9999/tcp               wikibase_wdqs_1
6e77480b590d        wikibase/elasticsearch:5.6.14-extra   "/docker-entrypoint.…"    2 minutes ago       Up 2 minutes                    9200/tcp, 9300/tcp     wikibase_elasticsearch_1

Could you tell me what and how I should check?

What are the logs for mysql?

You can get these with:

docker-compose logs mysql

Here is it, which I obtained after shutting down by docker-compose down .

Attaching to wikibase_mysql_1
mysql_1            | 2020-01-15 06:21:27+00:00 [Note] [Entrypoint]: Entrypoint script for MySQL Server 1:10.3.21+maria~bionic started.
mysql_1            | 2020-01-15 06:21:29+00:00 [Note] [Entrypoint]: Switching to dedicated user 'mysql'
mysql_1            | 2020-01-15 06:21:29+00:00 [Note] [Entrypoint]: Entrypoint script for MySQL Server 1:10.3.21+maria~bionic started.
mysql_1            | 2020-01-15  6:21:29 0 [Note] mysqld (mysqld 10.3.21-MariaDB-1:10.3.21+maria~bionic) starting as process 1 ...
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Using Linux native AIO
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Uses event mutexes
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Compressed tables use zlib 1.2.11
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Number of pools: 1
mysql_1            | 2020-01-15  6:21:29 0 [Note] InnoDB: Using SSE2 crc32 instructions
mysql_1            | 2020-01-15  6:21:31 0 [Note] InnoDB: Initializing buffer pool, total size = 256M, instances = 1, chunk size = 128M
mysql_1            | 2020-01-15  6:21:31 0 [Note] InnoDB: Completed initialization of buffer pool
mysql_1            | 2020-01-15  6:21:31 0 [Note] InnoDB: If the mysqld execution user is authorized, page cleaner thread priority can be changed. See the man page of setpriority().
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: 128 out of 128 rollback segments are active.
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: Creating shared tablespace for temporary tables
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: Setting file './ibtmp1' size to 12 MB. Physically writing the file full; Please wait ...
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: File './ibtmp1' size is now 12 MB.
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: 10.3.21 started; log sequence number 2239330; transaction id 944
mysql_1            | 2020-01-15  6:21:34 0 [Note] InnoDB: Loading buffer pool(s) from /var/lib/mysql/ib_buffer_pool
mysql_1            | 2020-01-15  6:21:34 0 [Note] Plugin 'FEEDBACK' is disabled.
mysql_1            | 2020-01-15  6:21:35 0 [Note] InnoDB: Buffer pool(s) load completed at 200115  6:21:35
mysql_1            | 2020-01-15  6:21:35 0 [Note] Server socket created on IP: '::'.
mysql_1            | 2020-01-15  6:21:35 0 [Warning] 'user' entry 'root@017cef36c673' ignored in --skip-name-resolve mode.
mysql_1            | 2020-01-15  6:21:35 0 [Warning] 'user' entry '@017cef36c673' ignored in --skip-name-resolve mode.
mysql_1            | 2020-01-15  6:21:35 0 [Warning] 'proxies_priv' entry '@% root@017cef36c673' ignored in --skip-name-resolve mode.
mysql_1            | 2020-01-15  6:21:35 0 [Note] Reading of all Master_info entries succeeded
mysql_1            | 2020-01-15  6:21:35 0 [Note] Added new Master_info '' to hash table
mysql_1            | 2020-01-15  6:21:35 0 [Note] mysqld: ready for connections.
mysql_1            | Version: '10.3.21-MariaDB-1:10.3.21+maria~bionic'  socket: '/var/run/mysqld/mysqld.sock'  port: 3306  mariadb.org binary distribution
mysql_1            | 2020-01-15  6:42:25 0 [Note] mysqld (initiated by: unknown): Normal shutdown
mysql_1            | 2020-01-15  6:42:25 0 [Note] Event Scheduler: Purging the queue. 0 events
mysql_1            | 2020-01-15  6:42:25 0 [Note] InnoDB: FTS optimize thread exiting.
mysql_1            | 2020-01-15  6:42:26 0 [Note] InnoDB: Starting shutdown...
mysql_1            | 2020-01-15  6:42:26 0 [Note] InnoDB: Dumping buffer pool(s) to /var/lib/mysql/ib_buffer_pool
mysql_1            | 2020-01-15  6:42:26 0 [Note] InnoDB: Buffer pool(s) dump completed at 200115  6:42:25
mysql_1            | 2020-01-15  6:42:28 0 [Note] InnoDB: Shutdown completed; log sequence number 2239339; transaction id 949
mysql_1            | 2020-01-15  6:42:28 0 [Note] InnoDB: Removed temporary tablespace data file: "ibtmp1"
mysql_1            | 2020-01-15  6:42:28 0 [Note] mysqld: Shutdown complete

Okay, those logs don't help me much at all.

Please try the following.

docker-compose down --volumes
docker-compose pull
docker-compose up -d

Then wait and see what happens and if everything comes up.

You should be able to check the state of things with:

docker-compose ps

If you want to see all the logs you can do:

docker-compose logs -f

You can see them for a single service with, for example:

docker-compose logs -f mysql

If things are broken again please paste the full logs from the beginning `docker-compose logs```

You can paste them to https://phabricator.wikimedia.org/paste/

Thanks. It seems that the Wikibase runs properly.
For your reference, here is the full logs from the beginning.
https://phabricator.wikimedia.org/P10187

Addshore closed this task as Resolved.Mon, Jan 27, 10:41 AM